Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal
Class AbstractTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask

All Implemented Interfaces:
  TaskInternal

    class AbstractTask
    extends java.lang.Object

author:
  Hans Dockter

Constructor Summary
`protected AbstractTask()`
`AbstractTask(Project project, java.lang.String name)`

Method Summary
`Task` | `captureStandardOutput(LogLevel level)`
`int` | `compareTo(Task otherTask)`
`protected void` | `defineProperty(java.lang.String name, java.lang.Object value)`
`Task` | `deleteAllActions()`
`Task` | `dependsOn(java.lang.Object paths)`
`boolean` | `dependsOnTaskDidWork()`
`Task` | `disableStandardOutputCapture()`
`Task` | `doFirst(TaskAction action)`
`Task` | `doLast(TaskAction action)`
`boolean` | `equals(java.lang.Object other)`
`void` | `execute()`
`List` | `getActions()`
`Map` | `getAdditionalProperties()`
`AntBuilder` | `getAnt()`
`Convention` | `getConvention()`
`Set` | `getDependsOn()`
`java.lang.String` | `getDescription()`
`boolean` | `getDidWork()`
`DynamicObjectHelper` | `getDynamicObjectHelper()`
`boolean` | `getEnabled()`
`boolean` | `getExecuted()`
`Logger` | `getLogger()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`Project` | `getProject()`
`List` | `getSkipProperties()`
`StandardOutputCapture` | `getStandardOutputCapture()`
`TaskDependency` | `getTaskDependencies()`
`boolean` | `hasProperty(java.lang.String propertyName)`
`int` | `hashCode()`
`boolean` | `isDidWork()`
`boolean` | `isEnabled()`
`boolean` | `isExecuted()`
`void` | `onlyIf(Closure onlyIfClosure)`
`void` | `onlyIf(Spec onlyIfSpec)`
`java.lang.Object` | `property(java.lang.String propertyName)`
`void` | `setActions(List actions)`
`void` | `setAdditionalProperties(Map additionalProperties)`
`void` | `setDependsOn(Set dependsOn)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDidWork(boolean didWork)`
`void` | `setEnabled(boolean enabled)`
`void` | `setExecuted(boolean executed)`
`void` | `setName(java.lang.String name)`
`void` | `setProject(Project project)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setSkipProperties(List skipProperties)`
`void` | `setStandardOutputCapture(StandardOutputCapture standardOutputCapture)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### AbstractTask

    protected AbstractTask()

### AbstractTask

    public AbstractTask(Project project, java.lang.String name)

Method Detail

### captureStandardOutput

    public Task captureStandardOutput(LogLevel level)

### compareTo

    public int compareTo(Task otherTask)

### defineProperty

    protected void defineProperty(java.lang.String name, java.lang.Object value)

### deleteAllActions

    public Task deleteAllActions()

### dependsOn

    public Task dependsOn(java.lang.Object paths)

### dependsOnTaskDidWork

    public boolean dependsOnTaskDidWork()

### disableStandardOutputCapture

    public Task disableStandardOutputCapture()

### doFirst

    public Task doFirst(TaskAction action)

### doLast

    public Task doLast(TaskAction action)

### equals

    public boolean equals(java.lang.Object other)

### execute

    public void execute()

### getActions

    public List getActions()

### getAdditionalProperties

    public Map getAdditionalProperties()

### getAnt

    public AntBuilder getAnt()

### getConvention

    public Convention getConvention()

### getDependsOn

    public Set getDependsOn()

### getDescription

    public java.lang.String getDescription()

### getDidWork

    public boolean getDidWork()

### getDynamicObjectHelper

    public DynamicObjectHelper getDynamicObjectHelper()

### getEnabled

    public boolean getEnabled()

### getExecuted

    public boolean getExecuted()

### getLogger

    public Logger getLogger()

### getName

    public java.lang.String getName()

### getPath

    public java.lang.String getPath()

### getProject

    public Project getProject()

### getSkipProperties

    public List getSkipProperties()

### getStandardOutputCapture

    public StandardOutputCapture getStandardOutputCapture()

### getTaskDependencies

    public TaskDependency getTaskDependencies()

### hasProperty

    public boolean hasProperty(java.lang.String propertyName)

### hashCode

    public int hashCode()

### isDidWork

    public boolean isDidWork()

### isEnabled

    public boolean isEnabled()

### isExecuted

    public boolean isExecuted()

### onlyIf

    public void onlyIf(Closure onlyIfClosure)

### onlyIf

    public void onlyIf(Spec onlyIfSpec)

### property

    public java.lang.Object property(java.lang.String propertyName)

### setActions

    public void setActions(List actions)

### setAdditionalProperties

    public void setAdditionalProperties(Map additionalProperties)

### setDependsOn

    public void setDependsOn(Set dependsOn)

### setDescription

    public void setDescription(java.lang.String description)

### setDidWork

    public void setDidWork(boolean didWork)

### setEnabled

    public void setEnabled(boolean enabled)

### setExecuted

    public void setExecuted(boolean executed)

### setName

    public void setName(java.lang.String name)

### setProject

    public void setProject(Project project)

### setProperty

    public void setProperty(java.lang.String name, java.lang.Object value)

### setSkipProperties

    public void setSkipProperties(List skipProperties)

### setStandardOutputCapture

    public void setStandardOutputCapture(StandardOutputCapture standardOutputCapture)

### toString

    public java.lang.String toString()

Groovy Documentation